using Newtonsoft.Json;

namespace SepehrHotelApiSampleClient.BuiltinTypeExtensions
{
    public static class ObjectExtension
    {
        public static string SerializeToJson(this object input)
        {
            return Newtonsoft.Json.JsonConvert.SerializeObject(input);
        }

        public static string SerializeToJsonWithFormatIndented(this object input)
        {
            return Newtonsoft.Json.JsonConvert.SerializeObject(input, Formatting.Indented);
        }
    }
}
